  <mat-card-header>
    <mat-card-title style="margin-left: -14px">Product</mat-card-title>
  </mat-card-header>
  <form class="c-app-new-project-form example-form" [formGroup]="formGroup" (ngSubmit)="submit()">
    <mat-form-field style="margin-right: 8px">
      <input matInput placeholder="ID" formControlName="id" disabled/>
    </mat-form-field>
    <div>
    <mat-form-field style="margin-right: 8px">
      <input matInput type="text" placeholder="Name" formControlName="name" required/>
      <mat-error *ngIf="formGroup.controls.name.errors?.required">Required</mat-error>
    </mat-form-field>
    <mat-form-field style="margin-right: 8px">
      <input matInput type="text" placeholder="SupplierId" formControlName="supplierId" required [matAutocomplete]="autoSupplier"/>
      <mat-error *ngIf="formGroup.controls.supplierId.errors?.required">Required</mat-error>
      <mat-autocomplete #autoSupplier="matAutocomplete">
      <mat-option *ngFor="let suppliers of suppliers$ | async" [value]="suppliers.id">
        {{suppliers.name}}
      </mat-option>
      </mat-autocomplete>
    </mat-form-field>
    </div>
    <div>
    <mat-form-field style="margin-right: 8px">
      <input matInput type="text" placeholder="Price" formControlName="price" required/>
      <mat-error *ngIf="formGroup.controls.price.errors?.required">Required</mat-error>
    </mat-form-field>
    <mat-form-field style="margin-right: 8px">
      <input matInput type="text" placeholder="Category" formControlName="category" [matAutocomplete]="autoCategory"/>
      <mat-autocomplete #autoCategory="matAutocomplete">
        <mat-option *ngFor="let option of ['CAT_A', 'CAT_B', 'CAT_C']" [value]="option">
          {{option}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>
    </div>
    <div>
      <button mat-raised-button color="primary" type="ngSubmit" class="c-app-new-project-form__button">Submit
      </button>
    </div>
  </form>
